## r-cran-minpack.lm 1.2

=== DESCRIPTION ===
Package: minpack.lm
Version: 1.2-3
Title: R Interface to the Levenberg-Marquardt Nonlinear Least-Squares
        Algorithm Found in MINPACK, Plus Support for Bounds
Author: Timur V. Elzhov, Katharine M. Mullen, Andrej-Nikolai Spiess, Ben Bolker
Maintainer: Katharine M. Mullen <mullenkate@gmail.com>
Description: The nls.lm function provides an R interface to lmder and lmdif from the MINPACK library, for solving nonlinear least-squares problems by a modification of the Levenberg-Marquardt algorithm, with support for lower and upper parameter bounds.  The implementation can be used via nls-like calls using the nlsLM function.  
Suggests: MASS
License: GPL-3
Copyright: inst/COPYRIGHTS
NeedsCompilation: yes
Repository: CRAN
Packaged: 2023-01-26 07:01:49 UTC; kmm-windog
Date/Publication: 2023-01-26 12:40:06 UTC

## r-cran-minpack.lm 1.2-0

=== debian/changelog ===
r-cran-minpack.lm (1.2-0-1) unstable; urgency=low

  * Initial release (closes: #829574)

 -- Andreas Tille <tille@debian.org>  Mon, 04 Jul 2016 14:06:18 +0200

=== debian/control ===
Source: r-cran-minpack.lm
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-minpack.lm/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-minpack.lm/trunk/
Homepage: https://cran.r-project.org/web/packages/minpack.lm

Package: r-cran-minpack.lm
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends}
Description: GNU R Levenberg-Marquardt nonlinear least-squares algorithm found in MINPACK
 The nls.lm function provides an R interface to lmder and lmdif from the
 MINPACK library, for solving nonlinear least-squares problems by a
 modification of the Levenberg-Marquardt algorithm, with support for
 lower and upper parameter bounds. The implementation can be used via nls-
 like calls using the nlsLM function.

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/minpack.lm_([-\d.]*)\.tar\.gz

## r-cran-minpack.lm 1.2-1

=== debian/changelog ===
r-cran-minpack.lm (1.2-1-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Canonical homepage for CRAN
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Wed, 23 Nov 2016 21:13:13 +0100

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,21 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               cdbs,
+Build-Depends: debhelper (>= 10),
+               dh-r,
                r-base-dev
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-minpack.lm/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-minpack.lm/trunk/
-Homepage: https://cran.r-project.org/web/packages/minpack.lm
+Homepage: https://cran.r-project.org/package=minpack.lm
 
 Package: r-cran-minpack.lm
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${R:Depends}
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: GNU R Levenberg-Marquardt nonlinear least-squares algorithm found in MINPACK
  The nls.lm function provides an R interface to lmder and lmdif from the
  MINPACK library, for solving nonlinear least-squares problems by a

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/minpack.lm_([-\d.]*)\.tar\.gz

## r-cran-minpack.lm 1.2-2

=== debian/changelog ===
r-cran-minpack.lm (1.2-2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 17 May 2022 20:36:58 +0200

r-cran-minpack.lm (1.2-1-5) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 04 Sep 2020 10:34:31 +0200

r-cran-minpack.lm (1.2-1-4) unstable; urgency=medium

  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jun 2018 22:26:27 +0200

r-cran-minpack.lm (1.2-1-3) unstable; urgency=medium

  * Team upload.
  * Link against minpack from Debian package instead of embedded copy.
    + no-embedded-minpack.patch: new patch.
    + add minpack-dev to Build-Depends.
  * Bump to debhelper compat level 11.
  * Bump Standards-Version to 4.1.3.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 30 Jan 2018 17:46:10 +0100

r-cran-minpack.lm (1.2-1-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Secure watch file
  * Standards-Version: 4.1.1
  * Testsuite: autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2017 19:08:15 +0100

=== debian/control ===
Source: r-cran-minpack.lm
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-minpack.lm
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-minpack.lm.git
Homepage: https://cran.r-project.org/package=minpack.lm
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               minpack-dev
Testsuite: autopkgtest-pkg-r

Package: r-cran-minpack.lm
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Levenberg-Marquardt nonlinear least-squares algorithm found in MINPACK
 The nls.lm function provides an R interface to lmder and lmdif from the
 MINPACK library, for solving nonlinear least-squares problems by a
 modification of the Levenberg-Marquardt algorithm, with support for
 lower and upper parameter bounds. The implementation can be used via nls-
 like calls using the nlsLM function.

## r-cran-minpack.lm 1.2-3

=== debian/changelog ===
r-cran-minpack.lm (1.2-3-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jan 2023 14:49:16 +0100

## r-cran-minpack.lm 1.2-4

=== debian/changelog ===
r-cran-minpack.lm (1.2-4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 15 Oct 2023 08:02:47 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-minpack.lm
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-minpack.lm.git
 Homepage: https://cran.r-project.org/package=minpack.lm
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/minpack.lm_@ANY_VERSION@@ARCHIVE_EXT@
